bitel.billing.server.util.mikrotik

## Class MikrotikApiSession

- java.lang.Object
- - bitel.billing.server.util.AbstractSession
  - - bitel.billing.server.util.mikrotik.MikrotikApiSession

-     public class MikrotikApiSession
      extends AbstractSession

  Класс работающий через Mikrotik Api(по порту 8728). Для того чтобы это заработало в самом маршрутизаторе нужно открыть службу API. >ip service enable api Пример добавления команды /ip/address/add =interface=ether1 =address=10.0.0.1/24 Сама команада получается преобразовнияем из обычной команды заменой всех пробелов на "/" и каждый аргумент начинается с новой строки и символа "=" .
  Author:
    stark

- - ### Field Summary

    - ### Fields inherited from class bitel.billing.server.util.AbstractSession

      `host, port, sourceHost, sourcePort, timeout`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MikrotikApiSession(java.lang.String host, int port, java.lang.String login, java.lang.String pswd)`
    `MikrotikApiSession(java.lang.String host, int port, java.lang.String login, java.lang.String pswd, java.lang.String sourceHost, int sourcePort)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `connect()` Устанавливает соединение с удаленным хостом
    `void` | `disconnect()` Закрывает соединение с удаленным хостом
    `java.lang.String` | `doCommand(java.lang.String command)` Отправляет на удаленный хост команду и считывает ответ

    - ### Methods inherited from class bitel.billing.server.util.AbstractSession

      `getTimeout, setTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MikrotikApiSession

          public MikrotikApiSession(java.lang.String host,
                                    int port,
                                    java.lang.String login,
                                    java.lang.String pswd)

    - #### MikrotikApiSession

          public MikrotikApiSession(java.lang.String host,
                                    int port,
                                    java.lang.String login,
                                    java.lang.String pswd,
                                    java.lang.String sourceHost,
                                    int sourcePort)

  - ### Method Detail

    - #### connect

          public java.lang.String connect()
                                   throws java.lang.Exception

      Description copied from class: `AbstractSession`
      Устанавливает соединение с удаленным хостом
      Specified by:
        `connect` in class `AbstractSession`
      Throws:
        `java.lang.Exception`

    - #### doCommand

          public java.lang.String doCommand(java.lang.String command)
                                     throws java.lang.Exception

      Description copied from class: `AbstractSession`
      Отправляет на удаленный хост команду и считывает ответ
      Specified by:
        `doCommand` in class `AbstractSession`
      Parameters:
        `command` - команда отсылаемая на удаленный хост
      Returns:
      Throws:
        `java.lang.Exception`

    - #### disconnect

          public void disconnect()
                          throws ru.bitel.bgbilling.common.BGException

      Description copied from class: `AbstractSession`
      Закрывает соединение с удаленным хостом
      Specified by:
        `disconnect` in class `AbstractSession`
      Throws:
        `ru.bitel.bgbilling.common.BGException`